org.apache.coyote.http2

## Class ConnectionSettingsLocal

- java.lang.Object
- - org.apache.coyote.http2.ConnectionSettingsBase<IllegalArgumentException>
  - - org.apache.coyote.http2.ConnectionSettingsLocal

-     public class ConnectionSettingsLocal
      extends ConnectionSettingsBase<IllegalArgumentException>

  Represents the local connection settings i.e. the settings the client is expected to use when communicating with the server. There will be a delay between calling a setter and the setting taking effect at the client. When a setter is called, the new value is added to the set of pending settings. Once the ACK is received, the new value is moved to the current settings. While waiting for the ACK, the getters will return the most lenient / generous / relaxed of the current setting and the pending setting. This class does not validate the values passed to the setters. If an invalid value is used the client will respond (almost certainly by closing the connection) as defined in the HTTP/2 specification.

- - ### Field Summary

    - ### Fields inherited from class org.apache.coyote.http2.ConnectionSettingsBase

      `current, DEFAULT_ENABLE_PUSH, DEFAULT_HEADER_TABLE_SIZE, DEFAULT_INITIAL_WINDOW_SIZE, DEFAULT_MAX_CONCURRENT_STREAMS, DEFAULT_MAX_FRAME_SIZE, DEFAULT_MAX_HEADER_LIST_SIZE, MAX_HEADER_TABLE_SIZE, MAX_MAX_FRAME_SIZE, MAX_WINDOW_SIZE, MIN_MAX_FRAME_SIZE, pending, UNLIMITED`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ConnectionSettingsLocal(String connectionId)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `set(Setting setting, Long value)`

    - ### Methods inherited from class org.apache.coyote.http2.ConnectionSettingsBase

      `getEnablePush, getHeaderTableSize, getInitialWindowSize, getMaxConcurrentStreams, getMaxFrameSize, getMaxHeaderListSize, set`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ConnectionSettingsLocal

          public ConnectionSettingsLocal(String connectionId)

  - ### Method Detail

    - #### set

          protected void set(Setting setting,
                 Long value)

Copyright © 2000-2017 Apache Software Foundation. All Rights Reserved.